@extends ('layouts.patient')

@section('inner-content')
    <?php $patient = $patient; ?>
    <h1>Here is the story of all the notes, bills, and claims for this patient.</h1>
    <h2>HCP notes signed: {{$hcpSignedNotesCount}}</h2>
    <h2>All Notes:</h2>
    <table class="table table-bordered table-striped table-condensed">
        <thead>
        <tr>
            <th>HCP</th>
            <th>Date</th>
            <th>Days in Program</th>
            <th>Days in MCP Program</th>
            <th>Days with HCP</th>
            <th>Days Since Last Note by HCP</th>
            <th>Days Since Last MCP Type Visit</th>
            <th>Loop check</th>
            <th>Signed By HCP?</th>
            <th>Content</th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <?php
            $firstDateEverSeenByAnyone = null;
            $firstDateEverSeenByMcpTypePro = null;
            $firstDateSeenByHcpMap = [];
            $loopLastDateSeenByHcpMap = [];
            $loopLastDateSeenByMcpTypePro = null;
            foreach($patient->notesAscending as $note){

                $d = $note->effective_dateest;
                $firstDateSeenByHcpMap[$note->hcp_pro_id] = isset($firstDateSeenByHcpMap[$note->hcp_pro_id]) ? $firstDateSeenByHcpMap[$note->hcp_pro_id] : $d;

                $firstDateSeenByThisHcp = $firstDateSeenByHcpMap[$note->hcp_pro_id];

                $firstDateEverSeenByAnyone = $firstDateEverSeenByAnyone ? $firstDateEverSeenByAnyone : $d;
                if($note->hcpPro->is_mcp){
                    $firstDateEverSeenByMcpTypePro = $firstDateEverSeenByMcpTypePro ? $firstDateEverSeenByMcpTypePro : $d;
                }

                $daysInProgram = (strtotime($d) - strtotime($firstDateEverSeenByAnyone)) / (60 * 60 * 24);
                $daysInMcpProgram = $firstDateEverSeenByMcpTypePro ? (strtotime($d) - strtotime($firstDateEverSeenByMcpTypePro)) / (60 * 60 * 24) : null;

                $daysWithHcp = (strtotime($d) - strtotime($firstDateSeenByThisHcp)) / (60 * 60 * 24);

                $lastVisitWithHcp = isset($loopLastDateSeenByHcpMap[$note->hcp_pro_id]) ? $loopLastDateSeenByHcpMap[$note->hcp_pro_id] : null;
                $daysSinceLastNoteByThisHcp = $lastVisitWithHcp ? (strtotime($d) - strtotime($lastVisitWithHcp)) / (60 * 60 * 24) : null;

                $daysSinceLastMcpTypeVisit = $note->hcpPro->is_mcp && $loopLastDateSeenByMcpTypePro ? (strtotime($d) - strtotime($loopLastDateSeenByMcpTypePro)) / (60 * 60 * 24) : null;
                ?>
        <tr>
            <td>
                {{ $note->hcpPro->displayName() }}
            </td>
            <td>
                {{ $d }}
            </td>
            <td>
                {{ $daysInProgram }}
            </td>
            <td>
                {{ $daysInMcpProgram }}
            </td>
            <td>
                {{ $daysWithHcp }}
            </td>
            <td>
                {{$daysSinceLastNoteByThisHcp}}
            </td>
            <td>
                {{ $daysSinceLastMcpTypeVisit }}
            </td>
            <td>
                {{ $loopLastDateSeenByMcpTypePro }}
            </td>
            <td>
                {{ $note->is_signed_by_hcp }}
            </td>
            <td>
                CONTENT WILL GO HERE
            </td>
            <td></td>
        </tr>
        <?php
                $loopLastDateSeenByHcpMap[$note->hcpPro->id] = $d;
                if($note->hcpPro->is_mcp){
                    $loopLastDateSeenByMcpTypePro = $d;
                }
            }
        ?>

        </tbody>
    </table>
@endsection
